Package org.eclipse.net4j.util

## Class ReflectUtil.ReflectionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.net4j.util.ReflectUtil.ReflectionException

- All Implemented Interfaces:
    `java.io.Serializable`
  Enclosing class:
    ReflectUtil

      public static class ReflectUtil.ReflectionException
      extends java.lang.RuntimeException

  Since:
    3.14
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReflectionException()` |
    `ReflectionException​(java.lang.Exception cause)` |
    `ReflectionException​(java.lang.String message)` |
    `ReflectionException​(java.lang.String message, java.lang.Exception cause)` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.Exception` | `unwrap​(java.lang.Exception exception)` |
    `static ReflectUtil.ReflectionException` | `wrap​(java.lang.Exception exception)` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectionException

          public ReflectionException()

    - #### ReflectionException

          public ReflectionException​(java.lang.String message,
                                     java.lang.Exception cause)

    - #### ReflectionException

          public ReflectionException​(java.lang.String message)

    - #### ReflectionException

          public ReflectionException​(java.lang.Exception cause)

  - ### Method Detail

    - #### wrap

          public static ReflectUtil.ReflectionException wrap​(java.lang.Exception exception)

    - #### unwrap

          public static java.lang.Exception unwrap​(java.lang.Exception exception)